Creates a new article price list
Request Information
URI Parameters :
None.
Body Parameters :
article_price_list| Name | Description | Type | Additional information |
|---|---|---|---|
| id |
Primary Key |
globally unique identifier |
Required |
| article_id |
Foreign key of article |
globally unique identifier |
Optionally required : article_id, article_code or article must be provided |
| article_code |
Embedded entity "article" using ERP PK when adding/updating |
string |
Optionally required : article_id, article_code or article must be provided |
| article |
Embedded entity "article" when adding/updating |
article |
Optionally required : article_id, article_code or article must be provided |
| article_price_label_id |
Foreign key of article price label |
globally unique identifier |
Optionally required : article_price_label_id or article_price_label must be provided |
| article_price_label |
Embedded entity "article price label" when adding/updating |
article_price_label |
Optionally required : article_price_label_id or article_price_label must be provided |
| price |
Article price, If value not given set as 0. |
decimal number |
Required |
| modified_dateutc |
Readonly system field managed by database, filled with GetUtcDate when adding,updating |
date |
Request Formats :
application/json, text/json
{
"id": "90dbf129-9a8f-4a27-9c77-3b30091b6ecc",
"article_id": "bc4a452f-c587-43a5-8544-8893d0338f1e",
"article_code": "sample string 3",
"article_price_label_id": "48b05ed8-2eac-44dc-ad4b-6f55cd8e7a1e",
"price": 1.0,
"modified_dateutc": "2026-10-08T16:01:47.7661637+00:00"
}
Response Information
Resource Description :
IHttpActionResultNone.
Response Formats
application/json, text/json
Sample not available.